ContextHandler.Context (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server.handler

## Class ContextHandler.Context

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.Context

- All Implemented Interfaces:
    javax.servlet.ServletContext
  Direct Known Subclasses:
    ServletContextHandler.Context
  Enclosing class:
    ContextHandler

      public class ContextHandler.Context
      extends Object
      implements javax.servlet.ServletContext

  Context.

  A partial implementation of `ServletContext`. A complete implementation is provided by the derived `ContextHandler`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContextHandler.Context()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttribute(String name)`
    `Enumeration` | `getAttributeNames()`
    `javax.servlet.ServletContext` | `getContext(String uripath)`
    `ContextHandler` | `getContextHandler()`
    `String` | `getContextPath()`
    `String` | `getInitParameter(String name)`
    `Enumeration` | `getInitParameterNames()`
    `int` | `getMajorVersion()`
    `String` | `getMimeType(String file)`
    `int` | `getMinorVersion()`
    `javax.servlet.RequestDispatcher` | `getNamedDispatcher(String name)`
    `String` | `getRealPath(String path)`
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher(String uriInContext)`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `Set` | `getResourcePaths(String path)`
    `String` | `getServerInfo()`
    `javax.servlet.Servlet` | `getServlet(String name)`
    `String` | `getServletContextName()`
    `Enumeration` | `getServletNames()`
    `Enumeration` | `getServlets()`
    `void` | `log(Exception exception, String msg)`
    `void` | `log(String msg)`
    `void` | `log(String message, Throwable throwable)`
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, Object value)`
    `boolean` | `setInitParameter(String name, String value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextHandler.Context

          protected ContextHandler.Context()

  - ### Method Detail

    - #### getContextHandler

          public ContextHandler getContextHandler()

    - #### getContext

          public javax.servlet.ServletContext getContext(String uripath)

      Specified by:
        `getContext` in interface `javax.servlet.ServletContext`

    - #### getMajorVersion

          public int getMajorVersion()

      Specified by:
        `getMajorVersion` in interface `javax.servlet.ServletContext`

    - #### getMimeType

          public String getMimeType(String file)

      Specified by:
        `getMimeType` in interface `javax.servlet.ServletContext`

    - #### getMinorVersion

          public int getMinorVersion()

      Specified by:
        `getMinorVersion` in interface `javax.servlet.ServletContext`

    - #### getNamedDispatcher

          public javax.servlet.RequestDispatcher getNamedDispatcher(String name)

      Specified by:
        `getNamedDispatcher` in interface `javax.servlet.ServletContext`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher(String uriInContext)

      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletContext`

    - #### getRealPath

          public String getRealPath(String path)

      Specified by:
        `getRealPath` in interface `javax.servlet.ServletContext`

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in interface `javax.servlet.ServletContext`
      Throws:
        `MalformedURLException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)

      Specified by:
        `getResourceAsStream` in interface `javax.servlet.ServletContext`

    - #### getResourcePaths

          public Set getResourcePaths(String path)

      Specified by:
        `getResourcePaths` in interface `javax.servlet.ServletContext`

    - #### getServerInfo

          public String getServerInfo()

      Specified by:
        `getServerInfo` in interface `javax.servlet.ServletContext`

    - #### getServlet

          public javax.servlet.Servlet getServlet(String name)
                                           throws javax.servlet.ServletException

      Specified by:
        `getServlet` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getServletNames

          public Enumeration getServletNames()

      Specified by:
        `getServletNames` in interface `javax.servlet.ServletContext`

    - #### getServlets

          public Enumeration getServlets()

      Specified by:
        `getServlets` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(Exception exception,
                 String msg)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(String msg)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log(String message,
                 Throwable throwable)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in interface `javax.servlet.ServletContext`

    - #### getInitParameterNames

          public Enumeration getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `javax.servlet.ServletContext`

    - #### getAttribute

          public Object getAttribute(String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletContext`

    - #### getAttributeNames

          public Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletContext`

    - #### setAttribute

          public void setAttribute(String name,
                          Object value)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletContext`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletContext`

    - #### getServletContextName

          public String getServletContextName()

      Specified by:
        `getServletContextName` in interface `javax.servlet.ServletContext`

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.ServletContext`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setInitParameter

          public boolean setInitParameter(String name,
                                 String value)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.